# Components

**Components are the interactive building blocks of our design system.** They are used to create
consistent and powerful user interfaces.

The Codex library contains two types of components:

1. Fully interactive components built with [Vue 3](https://vuejs.org/). These components require
Vue 3 and JavaScript.
2. CSS-only components that consist either of styles with suggested markup (e.g. the
[CSS-only Button](./demos/button.md#css-only-version)) or a Less mixin (e.g.
[Link](./mixins/link.md)). Most of the Vue components have a corresponding CSS-only version. These
components can be used without JavaScript.

Each component in Codex has a demo page where you can interact with working examples, see code samples, and read detailed usage information about the Vue and CSS-only implementations.

## Using components

### Figma

View the [Codex Components Figma library](https://www.figma.com/file/KoDuJMadWBXtsOtzGS4134/%E2%9D%96-Codex-components?type=design&node-id=1891-4420&mode=design).

### NPM package

Learn how to [use Codex components via the `@wikimedia/codex` package](../using-codex/usage.html#using-components).

### In MediaWiki

- Learn how to [use Vue Codex components in MediaWiki](https://www.mediawiki.org/wiki/Codex#Using_Codex_Vue_3_components).
- Learn how to [use CSS-only Codex components in MediaWiki](https://www.mediawiki.org/wiki/Codex#Using_CSS-only_Codex_components).

## Component roadmap

If you want to know more about the components we plan to add to Codex in the future, read about
[Codex planned components on mediawiki.org](https://www.mediawiki.org/wiki/Design_Systems_Team/Codex_Planned_Components).

## Resources

- Learn how to [contribute or request a component](../contributing/overview.html)
- Read about [designing new Codex components](../contributing/designing-new-components.html)
- Read about [updating existing Codex components](../contributing/redesigning-existing-components.html)
