# Composables

Composables are functions that encapsulate and reuse stateful logic in a Vue application using Vue's composition API.

The Codex library contains a set of composables that are also exported for library consumers to take advantage of some already implemented common Vue patterns.

The exported composables are:

- [useComputedDirection](./demos/use-computed-direction.html)
- [useComputedLanguage](./demos/use-computed-language.html)
- [useFloatingMenu](./demos/use-floating-menu.html)
- [useIntersectionObserver](./demos/use-intersection-observer.html)
- [useModelWrapper](./demos/use-model-wrapper.html)
- [useResizeObserver](./demos/use-resize-observer.html)


## Resources

Learn more about Vue's
[Composition API](https://vuejs.org/guide/introduction.html#composition-api) and
[composables](https://vuejs.org/guide/reusability/composables.html).
