# Colors

<style>
/* stylelint-disable scale-unlimited/declaration-strict-value */
</style>

The color palette represents our character and brings a hint of freshness to our products.

Because content readability for everyone is our main goal, we have made accessibility
considerations a top priority. Each color detailed below indicates its [WCAG](https://www.w3.org/WAI/intro/wcag)
conformance level (“AA” or “AAA”). This level is based on a color's contrast against white or black.

## Gray scale

Base colors define the content surface and the main color for content. Different shades of paper
and ink are useful to emphasize or de-emphasize different content areas.

Base colors range from pure white to true black . Intermediate shades of gray include a tint of
blue for greater harmony with our accent colors.

When applying text on a surface, [check the color contrast](http://webaim.org/resources/contrastchecker/)
between the text and the background. Colors from White to Gray400 are safe text colors for a black
surface. Colors from Gray500 to Black are safe colors for a white surface.

<ol class="cdx-docs-colors">
	<li class="cdx-docs-colors__color" style="background-color: #fff; border-color: #eaecf0;">
		<span class="cdx-docs-colors__color__name">White</span>
		<span class="cdx-docs-colors__color__hex">#fff</span>
		<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
		<span class="cdx-docs-colors__color__hsb">HSB 0, 0%, 100%</span>
	</li>
	<span class="cdx-docs-colors__group">
		<li class="cdx-docs-colors__color" style="background-color: #f8f9fa;">
			<span class="cdx-docs-colors__color__name">Gray100</span>
			<span class="cdx-docs-colors__color__hex">#f8f9fa</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 210, 1%, 98%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #eaecf0;">
			<span class="cdx-docs-colors__color__name">Gray200</span>
			<span class="cdx-docs-colors__color__hex">#eaecf0</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 220, 3%, 94%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #c8ccd1;">
			<span class="cdx-docs-colors__color__name">Gray300</span>
			<span class="cdx-docs-colors__color__hex">#c8ccd1</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 213, 4%, 82%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #a2a9b1;">
			<span class="cdx-docs-colors__color__name">Gray400</span>
			<span class="cdx-docs-colors__color__hex">#a2a9b1</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 212, 8%, 69%</span>
		</li>
	</span>
	<span class="cdx-docs-colors__group">
		<li class="cdx-docs-colors__color" style="background-color: #72777d;">
			<span class="cdx-docs-colors__color__name">Gray500</span>
			<span class="cdx-docs-colors__color__hex">#72777d</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA / <span>AA</span></span>
			<span class="cdx-docs-colors__color__hsb">HSB 210, 9%, 49%</span>
		</li>
		<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #54595d;">
			<span class="cdx-docs-colors__color__name">Gray600</span>
			<span class="cdx-docs-colors__color__hex">#54595d</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 207, 10%, 36%</span>
		</li>
		<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #404244;">
			<span class="cdx-docs-colors__color__name">Gray650</span>
			<span class="cdx-docs-colors__color__hex">#404244</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 210, 6%, 27%</span>
		</li>
		<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #202122;">
			<span class="cdx-docs-colors__color__name">Gray700</span>
			<span class="cdx-docs-colors__color__hex">#202122</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 210, 6%, 13%</span>
		</li>
	</span>
	<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #000;">
		<span class="cdx-docs-colors__color__name">Black</span>
		<span class="cdx-docs-colors__color__hex">#000</span>
		<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
		<span class="cdx-docs-colors__color__hsb">HSB 0, 0%, 0%</span>
	</li>
</ol>

## Accent colors

Accent colors are used to emphasize actions and to highlight key information. Blue is a natural
choice in our context, where it has been the default color used for links and conveys the idea of
action.

There are three shades provided for when a lighter (Blue100), regular (Blue600) or a darker
(Blue700) version of blue is needed.

Blue600 is suitable to use for text and as background. When used for link text, this color provides
sufficient contrast with black text. When used as a background, it provides sufficient contrast
with white text.

<ol class="cdx-docs-colors">
	<span class="cdx-docs-colors__group">
		<li class="cdx-docs-colors__color" style="background-color: #eaf3ff;">
			<span class="cdx-docs-colors__color__name">Blue100</span>
			<span class="cdx-docs-colors__color__hex">#eaf3ff</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 214, 8%, 100%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #447ff5;">
			<span class="cdx-docs-colors__color__name">Blue500</span>
			<span class="cdx-docs-colors__color__hex">#447ff5</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 220, 72%, 96%</span>
		</li>
		<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #36c;">
			<span class="cdx-docs-colors__color__name">Blue600</span>
			<span class="cdx-docs-colors__color__hex">#36c</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 220, 75%, 80%</span>
		</li>
		<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #2a4b8d;">
			<span class="cdx-docs-colors__color__name">Blue700</span>
			<span class="cdx-docs-colors__color__hex">#2a4b8d</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 220, 70%, 55%</span>
		</li>
	</span>
</ol>

## Utility colors

Utility colors are another type of accent color.

Shades of red, green, and yellow are used as utility colors.

<ol class="cdx-docs-colors">
	<span class="cdx-docs-colors__group">
		<li class="cdx-docs-colors__color" style="background-color: #fee7e6;">
			<span class="cdx-docs-colors__color__name">Red100</span>
			<span class="cdx-docs-colors__color__hex">#fee7e6</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 2, 10%, 100%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #ff4242;">
			<span class="cdx-docs-colors__color__name">Red500</span>
			<span class="cdx-docs-colors__color__hex">#ff4242</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 0, 74%, 100%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #d73333;">
			<span class="cdx-docs-colors__color__name">Red600</span>
			<span class="cdx-docs-colors__color__hex">#d73333</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 360, 76%, 84%</span>
		</li>
		<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #b32424;">
			<span class="cdx-docs-colors__color__name">Red700</span>
			<span class="cdx-docs-colors__color__hex">#b32424</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 360, 60%, 53%</span>
		</li>
	</span>
</ol>
<ol class="cdx-docs-colors">
	<span class="cdx-docs-colors__group">
		<li class="cdx-docs-colors__color" style="background-color: #d5fdf4;">
			<span class="cdx-docs-colors__color__name">Green100</span>
			<span class="cdx-docs-colors__color__hex">#d5fdf4</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 167, 16%, 99%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #00af89;">
			<span class="cdx-docs-colors__color__name">Green500</span>
			<span class="cdx-docs-colors__color__hex">#00af89</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 167, 100%, 69%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #14866d;">
			<span class="cdx-docs-colors__color__name">Green600</span>
			<span class="cdx-docs-colors__color__hex">#14866d</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 167, 85%, 53%</span>
		</li>
		<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #096450;">
			<span class="cdx-docs-colors__color__name">Green700</span>
			<span class="cdx-docs-colors__color__hex">#096450</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 167, 85%, 53%</span>
		</li>
	</span>
</ol>
<ol class="cdx-docs-colors">
	<span class="cdx-docs-colors__group">
		<li class="cdx-docs-colors__color" style="background-color: #fef6e7;">
			<span class="cdx-docs-colors__color__name">Yellow100</span>
			<span class="cdx-docs-colors__color__hex">#fef6e7</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 39, 9%, 100%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #fc3;">
			<span class="cdx-docs-colors__color__name">Yellow500</span>
			<span class="cdx-docs-colors__color__hex">#fc3</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 45, 80%, 100%</span>
		</li>
		<li class="cdx-docs-colors__color" style="background-color: #edab00;">
			<span class="cdx-docs-colors__color__name">Yellow600</span>
			<span class="cdx-docs-colors__color__hex">#edab00</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 43, 100%, 93%</span>
		</li>
		<li class="cdx-docs-colors__color cdx-docs-colors__color--dark" style="background-color: #ac6600;">
			<span class="cdx-docs-colors__color__name">Yellow700</span>
			<span class="cdx-docs-colors__color__hex">#ac6600</span>
			<span class="cdx-docs-colors__color__wcag-level" title="WCAG conformance level">AAA</span>
			<span class="cdx-docs-colors__color__hsb">HSB 36, 100%, 67%</span>
		</li>
	</span>
</ol>

Common meanings are associated with them:
- Variants of red indicate errors in components, such as invalid text in a text field. They also
  represent destructive actions, such as delete or cancel.
- Variants of green indicate success in components.
- Variants of yellow indicate a non-disruptive warning or an alert.

When indicating meaning to visually impaired users, do not only rely on a color, but use additionally clear wording and icons.

## Additional colors

Some use cases, such as charts and data visualization, may need a broader color palette. Aim for
level AA contrast (4.5:1) when extending the default palette. Make sure to test how these colors
are perceived at different color vision deficiency conditions.[[1]](#ref1)

## Resources

Find the color palette in the [Design tokens Figma library](https://www.figma.com/file/mRvSsFD2Kwh8AZNjlx7rIl/%E2%9C%A8-Design-Tokens-%5BWIP%5D?node-id=1-3481&t=Us4ogp79l5e37Rpx-11).

## References

1. <span id="ref1">See also English Wikipedia [on accessible color usage as part of its Manual of Style](https://en.wikipedia.org/wiki/Wikipedia:Manual_of_Style/Accessibility#Color).</span>


<style lang="less">
@import ( reference ) '@wikimedia/codex-design-tokens/theme-wikimedia-ui.less';

.cdx-docs-colors {
	// Override VitePress list styles.
	ol& {
		margin: 0;
		padding: 0;

		&:first-child {
			margin-top: @spacing-200;
		}

		li + li {
			margin-top: 0;
		}
	}

	&__group {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;
		gap: @spacing-100;
	}

	&__color {
		list-style: none none;
		display: flex;
		flex-direction: column;
		position: relative;
		// On smaller screens, squares are 50% width.
		// Subtract 1/2 of the total gap width from the width of each color.
		width: calc( 50% - @spacing-50 );
		// Make the div square via 0 height and padding-bottom equal to the width.
		height: 0;
		margin-bottom: @spacing-100;
		border: @border-width-base @border-style-base @border-color-inverted;
		padding: 0 @spacing-75 calc( 50% - @spacing-50 );

		@media screen and ( min-width: @min-width-breakpoint-tablet ) {
			// On larger screens, make the squares 25% width.
			// Subtract 1/4 of the total gap width from the width of each color.
			width: calc( 25% - @spacing-75 );
			padding-bottom: calc( 25% - @spacing-75 );
			font-size: @font-size-small;
		}

		&__name {
			position: absolute;
			// This makes the card look like it has 12px of padding-bottom.
			bottom: @spacing-75;
			font-size: @font-size-xxx-large;
		}

		&__hex {
			// This makes the card look like it has 12px of padding-top.
			padding-top: @spacing-75;
		}

		&__wcag-level {
			span {
				color: @color-inverted;
			}
		}

		&__hsb {
			opacity: @opacity-transparent;
			font-size: @font-size-small;
			transition-property: @transition-property-fade;
			transition-duration: @transition-duration-medium;

			@media screen and ( min-width: @min-width-breakpoint-tablet ) {
				font-size: @font-size-x-small;
			}
		}

		&:hover {
			.cdx-docs-colors__color__hsb {
				opacity: @opacity-base;
			}
		}

		&--dark {
			color: @color-inverted;
		}
	}
}
/* stylelint-enable scale-unlimited/declaration-strict-value */
</style>
