# Overview

The Codex Design Style Guide for Wikimedia ensures a consistent look and behavior for our products.
Our interfaces are our brand.

These principles and guidelines aim to help designers and developers with their [Wikimedia](https://www.wikimedia.org/)
projects, as part of the [Foundation](https://wikimediafoundation.org/) or in a volunteer capacity.

The style guide features unique focus areas like accessibility, internationalization, and localization.

## Our process

The [Wikimedia Foundation Design Team](https://www.mediawiki.org/wiki/Design) maintains the style
guide.

Our multi-disciplinary team focuses on user experience design, user research, engineering, information architecture, human-computer interaction, and visual design.

We follow [design principles](./design-principles-overview.md) to provide solutions for
[visual identity](./colors.md), [user interface components](./../components/overview), and patterns.

## Open to participate

We encourage and welcome your collaboration and participation to evolve the style guide.

You can engage in many ways:
- **Contribute.** Read [contribution guidelines](./../contributing/overview) if you want to
  contribute by designing or implementing system icons, tokens, or components.
- **Request a change or provide feedback.** [File a task on our workboard][new-style-guide-task-phab-template]
  to request a change to the style guide.
- **Explore our design process.** Read through [our design process](https://www.mediawiki.org/wiki/Design/Participate#Our_Process)
  and view a guide on [how Wikimedia Product designers typically work](https://www.mediawiki.org/wiki/File:Working_with_Design_2020-01-10.pdf).
- **Read the blog.** Stay up-to-date by reading the [design blog](https://design.wikimedia.org/blog/).
- **Follow Wikimedia Product Design team updates.** Follow [@WikimediaDesign on Twitter](https://twitter.com/WikimediaDesign).
- **Play around.** Check out our [Figma libraries](https://www.figma.com/files/1052664678635144083/project/44938534/%E2%9D%96-Libraries?fuid=1042004517503209744).

[new-style-guide-task-phab-template]: https://phabricator.wikimedia.org/maniphest/task/edit/form/1/?title=%5BAdd%20a%20title%5D&description=%23%23%20Background%0D%0A%0D%0A%2F%2FNOTE%3A%20%20When%20requesting%20a%20change%20to%20the%20style%20guide%2C%20please%20try%20to%20fill%20out%20the%20entire%20Background%20section.%20The%20rest%20of%20the%20task%20description%20can%20be%20populated%20later.%2F%2F%0D%0A%0D%0A%23%23%23%20Description%0D%0A%0D%0A%2F%2FAdd%20a%20brief%20description%20of%20this%20request.%2F%2F%0D%0A%0D%0A%23%23%23%20History%0D%0A%0D%0A%2F%2FDescribe%20or%20link%20to%20prior%20discussions%20if%20needed.%2F%2F%0D%0A%0D%0A%23%23%23%20Known%20use%20cases%0D%0A%0D%0A%2F%2FDescribe%20known%20use%20cases%20related%20with%20this%20request%2C%20including%20the%20project%2C%20team%2C%20and%20timeline.%2F%2F%0D%0A%0D%0A%23%23%23%20Existing%20version%0D%0A%0D%0A%2F%2FPlease%20provide%20a%20link%20to%20the%20existing%20version%20of%20the%20design%20style%20guide%20section%20where%20the%20change%20is%20being%20requested%20(e.g.%20colors).%2F%2F%0D%0A%0D%0A---%0D%0A%0D%0A%23%23%23%20Design%20documentation%0D%0A%0D%0A%2F%2FOnce%20the%20design%20documentation%20has%20been%20created%2C%20it%20will%20be%20added%20below.%2F%2F%0D%0A%0D%0A%7C%20Design%20documentation%20%7C%0D%0A%0D%0A%20---%0D%0A%0D%0A%23%23%20Acceptance%20criteria%0D%0A%0D%0A%2F%2FThe%20acceptance%20criteria%20needed%20to%20solve%20this%20problem%20should%20be%20included%20here.%2F%2F%0D%0A%0D%0A%5B%5D%20%2F%2FInclude%20the%20checklist%20here.%2F%2F&projects=Wikimedia_Design_Style_Guide%2C%20Design-Systems-Team%2C%20Codex
